Skip to main content
GET
/
v1
/
indices
/
bars
Get Index Bars Data
curl --request GET \
  --url https://api.aries.com/v1/indices/bars \
  --header 'Authorization: Bearer <token>'
{
  "bars": [
    {
      "startDate": "12/22/2025",
      "startTime": "9:30 AM",
      "endDate": "12/22/2025",
      "endTime": "9:31 AM",
      "open": 6860,
      "high": 6865,
      "low": 6858.5,
      "close": 6863.25,
      "volume": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

identifier
string
required

Index identifier. Required.

Example:

"SPX.IND_CBOM"

identifierType
string

Type of identifier

Example:

"Symbol"

startTime
string
required

Start time for the bars (e.g. MM/DD/YYYY HH:MM am/pm). Required.

Example:

"12/22/2025 9:30 am"

endTime
string
required

End time for the bars (e.g. MM/DD/YYYY HH:MM am/pm). Required.

Example:

"12/22/2025 4:00 pm"

precision
enum<string>

Bar precision

Available options:
Minutes,
Hours,
Days
period
integer

Period for the bars

Response

Successful response

bars
object[]